/* Maps page */
body {
    margin:0;
}

ul {
    list-style:none;
    margin-left:1vw;
    padding:0;
}

li {
    margin-bottom:0.8vw;
}

img {
    vertical-align:middle;
}

li img {
    margin-right:1vw;
}

#map {
    z-index:1;
    width:100%;
    height:100%;
    cursor:pointer;
}

#floating-panel-map {
    z-index:2;
    position:absolute;
    top:10px;
    left:60px;
    text-align:center;
}

#floating-left-map {
    z-index:2;
    position:absolute;
    top:80px;
    left:10px;
    width:15vw;
    padding:0px 12px 12px 12px;
    box-shadow:1px 1px 4px rgba(48, 48, 48, 0.4);
    border-radius:6px;
    background-color:#FFFFFF;
    opacity:0.9;
    display:none;
    overflow:auto;
}

#floating-right-map {
    z-index:2;
    position:absolute;
    top:10px;
    right:10px;
    text-align:center;
}

#floating-infos-map {
    z-index:2;
    position:absolute;
    bottom:20px;
    left:10px;
    width:99%;
    height:50px;
    border:1px solid #929292;
    box-shadow:1px 1px 4px rgba(48, 48, 48, 0.4);
    border-radius:6px;
    background-color:#FFFFFF;
    opacity:0.9;
}

#floating-terrain-map {
    z-index:2;
    display:none;
    position:absolute;
    bottom:80px;
    left:10px;
    width:99%;
    height:220px;
    border:1px solid #929292;
    box-shadow:1px 1px 4px rgba(48, 48, 48, 0.4);
    border-radius:6px;
    background-color:#FFFFFF;
    opacity:0.9;
}

#loadroute, #saveroute, #moderoute, #resetroute, #searchroute, #looproute, #listroute, #terrainroute {
    border:1px solid #929292;
    box-shadow:1px 1px 4px rgba(48, 48, 48, 0.4);
    background-color:#FFFFFF;
    border-radius:6px;
    font-size:11pt;
    margin-right:1vw;
    font-weight:normal;
    color:#000000;
    height:55px;
    width:55px;
    cursor:pointer;
}

#help {
    border:none;
    box-shadow:0 1px 5px rgba(0, 0, 0, 0.4);
    background-color:#FFFFFF;
    border-radius:5px;
    font-size:11pt;
    font-weight:normal;
    color:#000000;
    height:36px;
    width:36px;
    cursor:pointer;
}

#loadroute:hover, #saveroute:hover, #moderoute:hover, #resetroute:hover, #searchroute:hover, #looproute:hover, #listroute:hover, #terrainroute:hover, #help:hover {
    background-color:#F4F4F4;
}

#loadroute:focus, #saveroute:focus, #moderoute:focus, #resetroute:focus, #searchroute:focus, #searchplace:focus, #looproute:focus, #listroute:focus, #terrainroute:focus, #help:focus {
    outline:0;
}

#loadroute {
    background-image:url('../images/load.png');
    background-position:center;
    background-repeat:no-repeat;
}

#saveroute {
    background-image:url('../images/save.png');
    background-position:center;
    background-repeat:no-repeat;
}

/* Supression de la flÃ¨che du select && Apparence du bouton */
#moderoute {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance:none;
    text-indent:-999px;

    background-image:url('../images/walking.png');
    background-position:center;
    background-repeat:no-repeat;
}

#resetroute {
    background-image:url('../images/delete.png');
    background-position:center;
    background-repeat:no-repeat;
}

#searchroute {
    background-image:url('../images/search.png');
    background-position:center;
    background-repeat:no-repeat;
}

#looproute {
    background-image:url('../images/loop.png');
    background-position:center;
    background-repeat:no-repeat;
}

#listroute {
    background-image:url('../images/maps.png');
    background-position:center;
    background-repeat:no-repeat;
}

#terrainroute {
    background-image:url('../images/terrain.png');
    background-position:center;
    background-repeat:no-repeat;
}

#searchplace {
    margin-top:10px;
    display:block;
    border:1px solid #929292;
    box-shadow:1px 1px 4px rgba(48, 48, 48, 0.4);
    background-color:#FFFFFF;
    border-radius:6px;
    font-size:11pt;
    margin-right:1vw;
    font-weight:normal;
    color:#000000;
    height:35px;
    padding:4px 7px 4px 7px;
    display:none;
}

#help {
    background-image:url('../images/help.png');
    background-position:center;
    background-repeat:no-repeat;
}

#fim-distance {
    margin-left:1.2vw;
    display:inline-block;
    vertical-align:middle;
}

#fim-elevation {
    margin-left:3vw;
    display:inline-block;
    vertical-align:middle;
}

.fim-title {
    font-size:8pt;
    margin-top:10px;
    margin-bottom:4px;
}

.fim-value {
    font-size:10pt;
    margin:0;
}

/* Popup relative au chargement et Ã  la sauvegarde du tracÃ© */
#loadgpx, #savegpx, #loadinggpx {
    border:1px solid #929292;
    box-shadow:1px 1px 4px rgba(48, 48, 48, 0.4);
    background-color:#FFFFFF;
    border-radius:6px;
    z-index:2;
    position:fixed;
    top:50%;
    left:50%;
    width:400px;
    padding:5px 20px 5px 20px;
    display:none;
}

#loadgpxname, #savegpxname {
    margin-bottom:30px;
}

#loadgpxname:focus, #savegpxname:focus {
    outline:none;
}

#loadgpxsubmit, #loadgpxcancel, #savegpxlink, #savegpxcancel {
    position:absolute;
    border:none;
    background-color:#FFFFFF;
    border-radius:2px;
    font-size:10pt;
    padding:8px;
    font-weight:normal;
    cursor:pointer;
}

#loadgpxsubmit, #savegpxlink {
    color:#000000;
    text-decoration:none;
    background-color:#EAEAEA;
    border-radius:6px;
    left:10px;
    bottom:7px;
}

#loadgpxcancel, #savegpxcancel {
    background-color:#EAEAEA;
    border-radius:6px;
    right:10px;
    bottom:7px;
}

#loadgpxcancel:focus, #savegpxcancel:focus {
    outline:none;
}

#panel-help {
    z-index:2;
    width:40%;
    height:85%;
    position:absolute;
    top:5%;
    left:30%;
    padding:0vw 1vw 0.5vw 1vw;
    background-color:rgba(255, 255, 255, 0.95);
    border-radius:12px;
    overflow:auto;
    display:none;
}

#panel-help-title {
    text-align:center;
    font-size:16pt;
    margin-bottom:4vh;
}

#panel-help p {
    margin-top:3vh;
}

/* Trail du Pastel */
#maps {
    user-select:none;
    padding:0;
    margin:0;

    /*-webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;*/
}

#map {
    z-index:1;
    width:100%;
    height:100%;
}

#maps #button {
    z-index:2;
    position:absolute;
    top:16px;
    left:60px;
}

#maps #button a {
    color:black;
    text-decoration:none;
    border:2px solid #A4A4A4;
    text-align:center;
    background-color:#FFFFFF;
    border-radius:4px;
    opacity:0.9;
    padding:4px 6px 4px 6px;
}

#maps a:visited {
    color:black;
}

#courses {
    z-index:2;
    position:absolute;
    top:100px;
    left:10px;
    width:380px;
    border:1px solid #A4A4A4;
    padding-left:7px;
    background-color:#EFEFEF;
    border-radius:8px;
    box-shadow:3px 3px 8px #646464;
    opacity:0.9;
}

#courses input {
    -webkit-appearance:none;
    width:1.3em;
    height:1.3em;
    background-color:white;
    border-radius:50%;
    vertical-align:middle;
    border:1px solid grey;
    outline:none;
    cursor:pointer;
}

#area {
    z-index:2;
    display:none;
    position:absolute;
    top:300px;
    left:10px;
    width:375px;
    border:1px solid #A4A4A4;
    padding-left:12px;
    background-color:#EFEFEF;
    border-radius:8px;
    box-shadow:3px 3px 8px #646464;
    opacity:0.9;
    overflow:auto;
}

#area p {
    color:#000000;
}

#km10:checked {
    background-color:green;
}

#km16:checked {
    background-color:blue;
}

#km23:checked {
    background-color:red;
}

#km42:checked {
    background-color:black;
}

.highcharts-figure, .highcharts-data-table table {
    width:100%;
    margin: 1em auto;
}

.highcharts-data-table table {
    font-family: Verdana, sans-serif;
    border-collapse: collapse;
    border: 1px solid #EBEBEB;
    margin: 10px auto;
    text-align: center;
    width: 100%;
    max-width: 500px;
}

.highcharts-data-table caption {
    padding: 1em 0;
    font-size: 1.2em;
    color: #555;
}

.highcharts-data-table th {
    font-weight: 600;
    padding: 0.5em;
}

.highcharts-data-table td, .highcharts-data-table th, .highcharts-data-table caption {
    padding: 0.5em;
}

.highcharts-data-table thead tr, .highcharts-data-table tr:nth-child(even) {
    background: #F8F8F8;
}

.highcharts-data-table tr:hover {
    background: #F1F7FF;
}
